## kfreebsd-9 9.2

=== sys/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

# The boot loader
.if ${MK_BOOT} != "no"
SUBDIR=	boot
.endif

# Directories to include in cscope name file and TAGS.
CSCOPEDIRS=	boot bsm cam cddl compat conf contrib crypto ddb dev fs gdb \
		geom gnu isa kern libkern modules net net80211 netatalk \
		netgraph netinet netinet6 netipsec netipx netnatm netncp \
		netsmb nfs nfsclient nfsserver nlm ofed opencrypto \
		pci rpc security sys ufs vm xdr xen ${CSCOPE_ARCHDIR}
.if !defined(CSCOPE_ARCHDIR)
.if defined(ALL_ARCH)
CSCOPE_ARCHDIR = amd64 arm i386 ia64 mips pc98 powerpc sparc64 x86
.else
CSCOPE_ARCHDIR = ${MACHINE} 
.if ${MACHINE} != ${MACHINE_CPUARCH}
CSCOPE_ARCHDIR += ${MACHINE_CPUARCH}
.endif
.if ${MACHINE_CPUARCH} == "i386" || ${MACHINE_CPUARCH} == "amd64"
CSCOPE_ARCHDIR += x86
.endif
.endif
.endif

# Loadable kernel modules

.if defined(MODULES_WITH_WORLD)
SUBDIR+=modules
.endif

HTAGSFLAGS+= -at `awk -F= '/^RELEASE *=/{release=$2}; END {print "FreeBSD", release, "kernel"}' < conf/newvers.sh`

# You need the devel/cscope port for this.
cscope: cscope.out
cscope.out: ${.CURDIR}/cscope.files
	cd ${.CURDIR}; cscope -k -buq -p4

${.CURDIR}/cscope.files: .PHONY
	cd ${.CURDIR}; \
		find ${CSCOPEDIRS} -name "*.[chSsly]" -a -type f > ${.TARGET}

cscope-clean:
	rm -f cscope.files cscope.out cscope.in.out cscope.po.out

# You need the devel/global and one of editor/emacs* ports for that.
TAGS ${.CURDIR}/TAGS: ${.CURDIR}/cscope.files
	rm -f ${.CURDIR}/TAGS
	cd ${.CURDIR}; xargs etags -a < ${.CURDIR}/cscope.files

# You need the textproc/glimpse ports for this.
glimpse:
.if !exists(${.CURDIR}/.glimpse_exclude)
	echo .svn > ${.CURDIR}/.glimpse_exclude
	echo /compile/ >> ${.CURDIR}/.glimpse_exclude
.endif
	cd ${.CURDIR}; glimpseindex -H . -B -f -o .

glimpse-clean:
	cd ${.CURDIR}; rm -f .glimpse_*

.include <bsd.subdir.mk>

=== sys/modules/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

# Modules that include binary-only blobs of microcode should be selectable by
# MK_SOURCELESS_UCODE option (see below).

SUBDIR=	\
	${_3dfx} \
	${_3dfx_linux} \
	${_aac} \
	${_aacraid} \
	accf_data \
	accf_dns \
	accf_http \
	${_acpi} \
	ae \
	${_aesni} \
	age \
	${_agp} \
	aha \
	${_ahb} \
	ahci \
	${_aic} \
	aic7xxx \
	aio \
	alc \
	ale \
	alq \
	${_amd} \
	${_amdsbwd} \
	${_amdtemp} \
	amr \
	${_an} \
	${_aout} \
	${_apm} \
	${_arcmsr} \
	${_arcnet} \
	${_asmc} \
	${_asr} \
	ata \
	ath \
	ath_pci \
	${_auxio} \
	${_bce} \
	bfe \
	bge \
	${_bxe} \
	${_bios} \
	${_bktr} \
	${_bm} \
	bridgestp \
	bwi \
	bwn \
	cam \
	${_canbepm} \
	${_canbus} \
	${_cardbus} \
	cas \
	${_cbb} \
	cc \
	cd9660 \
	cd9660_iconv \
	${_ce} \
	${_ciss} \
	${_cm} \
	${_cmx} \
	coda \
	coda5 \
	${_coff} \
	${_coretemp} \
	${_cp} \
	${_cpuctl} \
	${_cpufreq} \
	${_crypto} \
	${_cryptodev} \
	${_cs} \
	${_ctau} \
	ctl \
	${_cxgb} \
	cxgbe \
	${_cyclic} \
	dc \
	dcons \
	dcons_crom \
	de \
	${_dpms} \
	${_dpt} \
	${_drm} \
	${_drm2} \
	${_dtrace} \
	dummynet \
	${_ed} \
	${_elink} \
	${_em} \
	en \
	${_ep} \
	${_epic} \
	esp \
	${_et} \
	${_ex} \
	${_exca} \
	${_ext2fs} \
	${_fatm} \
	fdc \
	fdescfs \
	${_fe} \
	${_filemon} \
	firewire \
	firmware \
	${_fxp} \
	gem \
	geom \
	${_glxiic} \
	${_glxsb} \
	hatm \
	hifn \
	hme \
	${_hpt27xx} \
	${_hptiop} \
	${_hptmv} \
	${_hptnr} \
	${_hptrr} \
	hwpmc \
	${_i2c} \
	${_ibcs2} \
	${_ichwd} \
	${_ida} \
	${_ie} \
	if_bridge \
	${_if_carp} \
	if_disc \
	if_edsc \
	if_ef \
	if_epair \
	if_faith \
	if_gif \
	${_if_gre} \
	if_lagg \
	${_if_ndis} \
	if_stf \
	if_tap \
	if_tun \
	if_vlan \
	${_igb} \
	${_iir} \
	${_io} \
	ipdivert \
	${_ipfilter} \
	${_ipfw} \
	ipfw_nat \
	${_ipmi} \
	ip6_mroute_mod \
	ip_mroute_mod \
	${_ips} \
	${_ipw} \
	${_ipwfw} \
	${_isci} \
	iscsi \
	isp \
	${_ispfw} \
	${_iwi} \
	${_iwifw} \
	${_iwn} \
	${_iwnfw} \
	${_ixgb} \
	${_ixgbe} \
	jme \
	joy \
	kbdmux \
	kgssapi \
	kgssapi_krb5 \
	khelp \
	krpc \
	ksyms \
	le \
	lge \
	libalias \
	libiconv \
	libmbpool \
	libmchain \
	${_lindev} \
	${_linprocfs} \
	${_linsysfs} \
	${_linux} \
	lmc \
	lpt \
	mac_biba \
	mac_bsdextended \
	mac_ifoff \
	mac_lomac \
	mac_mls \
	mac_none \
	mac_partition \
	mac_portacl \
	mac_seeotheruids \
	mac_stub \
	mac_test \
	malo \
	mcd \
	md \
	mem \
	mfi \
	mii \
	mlx \
	${_mlx4} \
	${_mlx4ib} \
	${_mlxen} \
	${_mly} \
	mmc \
	mmcsd \
	mps \
	mpt \
	mqueue \
	msdosfs \
	msdosfs_iconv \
	${_mse} \
	msk \
	${_mthca} \
	mvs \
	mwl \
	${_mwlfw} \
	mxge \
	my \
	${_ncp} \
	${_ncv} \
	${_ndis} \
	${_netgraph} \
	${_nfe} \
	nfs_common \
	nfscl \
	nfsclient \
	nfscommon \
	nfsd \
	nfslock \
	nfslockd \
	nfsserver \
	nfssvc \
	nge \
	nmdm \
	${_nsp} \
	ntfs \
	ntfs_iconv \
	nullfs \
	${_nvd} \
	${_nve} \
	${_nvme} \
	${_nvram} \
	${_nwfs} \
	${_nxge} \
	${_opensolaris} \
	oce \
	${_padlock} \
	patm \
	${_pccard} \
	${_pcfclock} \
	pcn \
	${_pf} \
	${_pflog} \
	${_pfsync} \
	plip \
	${_pmc} \
	portalfs \
	ppbus \
	ppc \
	ppi \
	pps \
	procfs \
	pseudofs \
	${_pst} \
	pty  \
	puc \
	${_qlxgb} \
	ral \
	${_ralfw} \
	${_random} \
	rc4 \
	${_rdma} \
	re \
	reiserfs \
	rl \
	${_runfw} \
	${_s3} \
	${_safe} \
	${_sbni} \
	scc \
	scd \
	${_scsi_low} \
	sdhci \
	sem \
	send \
	${_sf} \
	${_sfxge} \
	sge \
	siba_bwn \
	siftr \
	siis \
	sis \
	sk \
	${_smbfs} \
	${_sn} \
	${_snc} \
	snp \
	${_sound} \
	${_speaker} \
	${_splash} \
	${_sppp} \
	ste \
	${_stg} \
	stge \
	${_streams} \
	${_svr4} \
	${_sym} \
	${_syscons} \
	sysvipc \
	${_ti} \
	tl \
	tmpfs \
	${_toecore} \
	${_tpm} \
	trm \
	${_twa} \
	twe \
	tws \
	tx \
	${_txp} \
	uart \
	ubsec \
	udf \
	udf_iconv \
	ufs \
	unionfs \
	usb \
	utopia \
	${_vesa} \
	${_virtio} \
	vge \
	${_viawd} \
	vkbd \
	${_vpo} \
	vr \
	vte \
	vx \
	${_vxge} \
	wb \
	${_wbwd} \
	${_wi} \
	wlan \
	wlan_acl \
	wlan_amrr \
	wlan_ccmp \
	wlan_rssadapt \
	wlan_tkip \
	wlan_wep \
	wlan_xauth \
	${_wpi} \
	${_wpifw} \
	${_x86bios} \
	${_xe} \
	xfs \
	xl \
	${_zfs} \
	zlib \

.if ${MACHINE_CPUARCH} == "i386" || ${MACHINE_CPUARCH} == "amd64"
_filemon=	filemon
.endif

.if ${MACHINE_CPUARCH} != "powerpc" && ${MACHINE_CPUARCH} != "arm" && \
	${MACHINE_CPUARCH} != "mips"
_syscons=	syscons
_vpo=		vpo
.endif

.if ${MACHINE_CPUARCH} != "arm" && ${MACHINE_CPUARCH} != "mips"
# no BUS_SPACE_UNSPECIFIED
# No barrier instruction support (specific to this driver)
_sym=		sym
# intr_disable() is a macro, causes problems
.if ${MK_SOURCELESS_UCODE} != "no"
_cxgb=		cxgb
.endif
.endif

.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
.if exists(${.CURDIR}/../opencrypto)
_crypto=	crypto
_cryptodev=	cryptodev
.endif
.if exists(${.CURDIR}/../crypto)
_random=	random
.endif
.endif

.if ${MK_INET_SUPPORT} != "no" || defined(ALL_MODULES)
_if_gre=	if_gre
.endif

.if (${MK_INET_SUPPORT} != "no" || ${MK_INET6_SUPPORT} != "no") || \
	defined(ALL_MODULES)
_if_carp=	if_carp
_toecore=	toecore
.endif

.if ${MK_IPFILTER} != "no" || defined(ALL_MODULES)
_ipfilter=	ipfilter
.endif

.if ${MK_INET_SUPPORT} != "no" || defined(ALL_MODULES)
_ipfw=		ipfw
.endif

.if ${MK_NETGRAPH} != "no" || defined(ALL_MODULES)
_netgraph=	netgraph
.endif

.if (${MK_PF} != "no" && (${MK_INET_SUPPORT} != "no" || \
	${MK_INET6_SUPPORT} != "no")) || defined(ALL_MODULES)
_pf=		pf
_pflog=		pflog
.if ${MK_INET_SUPPORT} != "no"
_pfsync=	pfsync
.endif
.endif

.if ${MK_SOURCELESS_UCODE} != "no"
_bce=		bce
_fatm=		fatm
_fxp=		fxp
_ispfw=		ispfw
_mwlfw=		mwlfw
_ralfw=		ralfw
_runfw=		runfw
_sf=		sf
_sn=		sn
_ti=		ti
_txp=		txp
.endif

.if ${MACHINE_CPUARCH} == "i386"
# XXX some of these can move to the general case when de-i386'ed
# XXX some of these can move now, but are untested on other architectures.
_3dfx=		3dfx
_3dfx_linux=	3dfx_linux
_agp=		agp
_aic=		aic
_amd=		amd
_an=		an
_aout=		aout
_apm=		apm
_arcnet=	arcnet
_bktr=		bktr
_bxe=		bxe
_cardbus=	cardbus
_cbb=		cbb
.if ${MK_SOURCELESS_UCODE} != "no"
_ce=		ce
.endif
_coff=		coff
.if ${MK_SOURCELESS_UCODE} != "no"
_cp=		cp
.endif
_cpuctl=	cpuctl
_cpufreq=	cpufreq
_cs=		cs
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_cyclic=	cyclic
.endif
_dpms=		dpms
_drm=		drm
_drm2=		drm2
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_dtrace=	dtrace
.endif
_ed=		ed
_elink=		elink
_em=		em
_ep=		ep
_et=		et
_exca=		exca
_ext2fs=	ext2fs
_fe=		fe
_glxiic=	glxiic
_glxsb=		glxsb
_i2c=		i2c
_ibcs2=		ibcs2
_ie=		ie
_if_ndis=	if_ndis
_igb=		igb
_io=		io
_lindev=	lindev
_linprocfs=	linprocfs
_linsysfs=	linsysfs
_linux=		linux
_mse=		mse
.if ${MK_OFED} != "no" || defined(ALL_MODULES)
_mlx4=		mlx4
_mlx4ib=	mlx4ib
_mlxen=		mlxen
_mthca=		mthca
.endif
.if ${MK_NCP} != "no"
_ncp=		ncp
.endif
_ncv=		ncv
_ndis=		ndis
_nsp=		nsp
.if ${MK_NCP} != "no"
_nwfs=		nwfs
.endif
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
_pccard=	pccard
_pcfclock=	pcfclock
_pst=		pst
_rdma=		rdma
_safe=		safe
_sbni=		sbni
_scsi_low=	scsi_low
_smbfs=		smbfs
_sound=		sound
_speaker=	speaker
_splash=	splash
_sppp=		sppp
_stg=		stg
_streams=	streams
_svr4=		svr4
_vxge=  	vxge
_wbwd=		wbwd
_wi=		wi
_xe=		xe
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.if ${MACHINE} == "i386"
_aac=		aac
_aacraid=	aacraid
_acpi=		acpi
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_aesni=		aesni
.endif
_ahb=		ahb
_amdsbwd=	amdsbwd
_amdtemp=	amdtemp
_arcmsr=	arcmsr
_asmc=		asmc
_asr=		asr
_bios=		bios
_ciss=		ciss
_cm=		cm
_cmx=		cmx
_coretemp=	coretemp
.if ${MK_SOURCELESS_UCODE} != "no"
_ctau=		ctau
.endif
_dpt=		dpt
_ex=		ex
.if ${MK_SOURCELESS_HOST} != "no"
_hpt27xx=	hpt27xx
.endif
_hptiop=	hptiop
.if ${MK_SOURCELESS_HOST} != "no"
_hptmv=		hptmv
_hptnr=		hptnr
_hptrr=		hptrr
.endif
_ichwd=		ichwd
_ida=		ida
_iir=		iir
_ipmi=		ipmi
_ips=		ips
_ipw=		ipw
.if ${MK_SOURCELESS_UCODE} != "no"
_ipwfw=		ipwfw
.endif
_isci=		isci
_iwi=		iwi
.if ${MK_SOURCELESS_UCODE} != "no"
_iwifw=		iwifw
.endif
_iwn=		iwn
.if ${MK_SOURCELESS_UCODE} != "no"
_iwnfw=		iwnfw
.endif
_ixgb=		ixgb
_ixgbe=		ixgbe
_mly=		mly
_nfe=		nfe
_nvd=		nvd
.if ${MK_SOURCELESS_HOST} != "no"
_nve=		nve
.endif
_nvme=		nvme
_nvram=		nvram
_nxge=		nxge
_tpm=		tpm
_viawd=		viawd
_wpi=		wpi
.if ${MK_SOURCELESS_UCODE} != "no"
_wpifw=		wpifw
.endif
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_padlock=	padlock
.endif
_s3=		s3
_twa=		twa
_vesa=		vesa
_virtio=	virtio
_x86bios=	x86bios
.elif ${MACHINE} == "pc98"
_canbepm=	canbepm
_canbus=	canbus
_pmc=		pmc
_snc=		snc
.endif
.endif

.if ${MACHINE_CPUARCH} == "amd64"
_aac=		aac
_aacraid=	aacraid
_aout=		aout
_acpi=		acpi
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_aesni=		aesni
.endif
_agp=		agp
_an=		an
_amdsbwd=	amdsbwd
_amdtemp=	amdtemp
_arcmsr=	arcmsr
_asmc=		asmc
_bxe=		bxe
_cardbus=	cardbus
_cbb=		cbb
_cmx=		cmx
_ciss=		ciss
_coretemp=	coretemp
_cpuctl=	cpuctl
_cpufreq=	cpufreq
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_cyclic=	cyclic
.endif
_dpms=		dpms
_drm=		drm
_drm2=		drm2
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_dtrace=	dtrace
.endif
_ed=		ed
_et=		et
_em=		em
_exca=		exca
_ext2fs=	ext2fs
.if ${MK_SOURCELESS_HOST} != "no"
_hpt27xx=	hpt27xx
.endif
_hptiop=	hptiop
.if ${MK_SOURCELESS_HOST} != "no"
_hptmv=		hptmv
_hptnr=		hptnr
_hptrr=		hptrr
.endif
_i2c=		i2c
_ichwd=		ichwd
_ida=		ida
_if_ndis=	if_ndis
_igb=		igb
_iir=		iir
_io=		io
_ipmi=		ipmi
_ips=		ips
_ipw=		ipw
.if ${MK_SOURCELESS_UCODE} != "no"
_ipwfw=		ipwfw
.endif
_isci=		isci
_iwi=		iwi
.if ${MK_SOURCELESS_UCODE} != "no"
_iwifw=		iwifw
.endif
_iwn=		iwn
.if ${MK_SOURCELESS_UCODE} != "no"
_iwnfw=		iwnfw
.endif
_ixgb=		ixgb
_ixgbe=		ixgbe
_lindev=	lindev
_linprocfs=	linprocfs
_linsysfs=	linsysfs
_linux=		linux
_mly=		mly
.if ${MK_OFED} != "no" || defined(ALL_MODULES)
_mlx4=		mlx4
_mlx4ib=	mlx4ib
_mlxen=		mlxen
_mthca=		mthca
.endif
_ndis=		ndis
_nfe=		nfe
_nvd=		nvd
.if ${MK_SOURCELESS_HOST} != "no"
_nve=		nve
.endif
_nvme=		nvme
_nvram=		nvram
_nxge=		nxge
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_padlock=	padlock
.endif
_pccard=	pccard
_qlxgb=		qlxgb
_rdma=		rdma	
_s3=		s3
_safe=		safe
_scsi_low=	scsi_low
_sfxge=		sfxge
_smbfs=		smbfs
_sound=		sound
_speaker=	speaker
_splash=	splash
_sppp=		sppp
_tpm=		tpm
_twa=		twa
_vesa=		vesa
_viawd=		viawd
_virtio=	virtio
_vxge=  	vxge
_x86bios=	x86bios
_wbwd=		wbwd
_wi=		wi
_wpi=		wpi
.if ${MK_SOURCELESS_UCODE} != "no"
_wpifw=		wpifw
.endif
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if ${MACHINE_CPUARCH} == "ia64"
_aac=		aac
_aacraid=	aacraid
_aic=		aic
_an=		an
_arcnet=	arcnet
_asr=		asr
_bktr=		bktr
_cardbus=	cardbus
_cbb=		cbb
_ciss=		ciss
_cm=		cm
_cmx=		cmx
_coff=		coff
_cpufreq=	cpufreq
_dpt=		dpt
_em=		em
_ep=		ep
_et=		et
_exca=		exca
_fe=		fe
_hptiop=	hptiop
_ida=		ida
_igb=		igb
_iir=		iir
_ips=		ips
_mly=		mly
_pccard=	pccard
_scsi_low=	scsi_low
_smbfs=		smbfs
_sound=		sound
_splash=	splash
_sppp=		sppp
_streams=	streams
_tpm=		tpm
_twa=		twa
_wi=		wi
_xe=		xe
.endif

.if ${MACHINE_CPUARCH} == "powerpc"
_agp=		agp
_an=		an
_bm=		bm
_cpufreq=	cpufreq
_nvram=		powermac_nvram
_smbfs=		smbfs
_sound=		sound
.endif

.if ${MACHINE_ARCH} == "powerpc64"
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if ${MACHINE_CPUARCH} == "sparc64"
_auxio=		auxio
_em=		em
_epic=		epic
_i2c=		i2c
_igb=		igb
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
_smbfs=		smbfs
_sound=		sound
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if defined(MODULES_OVERRIDE) && !defined(ALL_MODULES)
SUBDIR=${MODULES_OVERRIDE}
.endif

.for reject in ${WITHOUT_MODULES}
SUBDIR:= ${SUBDIR:N${reject}}
.endfor

# Calling kldxref(8) for each module is expensive.
.if !defined(NO_XREF)
.MAKEFLAGS+=	-DNO_XREF
afterinstall:
	@if type kldxref >/dev/null 2>&1; then \
		${ECHO} kldxref ${DESTDIR}${KMODDIR}; \
		kldxref ${DESTDIR}${KMODDIR}; \
	fi
.endif

.include <bsd.subdir.mk>

=== sys/boot/ficl/Makefile ===
# $FreeBSD$
#
.PATH: ${.CURDIR}/${MACHINE_CPUARCH:S/amd64/i386/}
BASE_SRCS=	dict.c ficl.c fileaccess.c float.c loader.c math64.c \
		prefix.c search.c stack.c tools.c vm.c words.c

SRCS=		${BASE_SRCS} sysdep.c softcore.c
CLEANFILES=	softcore.c testmain testmain.o
CFLAGS+=	-ffreestanding
.if ${MACHINE_CPUARCH} == "i386" || ${MACHINE_CPUARCH} == "amd64"
CFLAGS+=	-march=i386
CFLAGS+=	-mpreferred-stack-boundary=2
CFLAGS+=	-mno-mmx -mno-3dnow -mno-sse -mno-sse2 -mno-sse3 -msoft-float
.endif
.if ${MACHINE_CPUARCH} == "powerpc" || ${MACHINE_CPUARCH} == "arm"
CFLAGS+=	-msoft-float
.endif
.if ${MACHINE} == "pc98"
CFLAGS+=	-Os -DPC98
.endif
.if HAVE_PNP
CFLAGS+=	-DHAVE_PNP
.endif
.ifmake testmain
CFLAGS+=	-DTESTMAIN -D_TESTMAIN
SRCS+=		testmain.c
PROG=		testmain
.include <bsd.prog.mk>
.else
LIB=		ficl
INTERNALLIB=
.include <bsd.lib.mk>
.endif

# Standard softwords
.PATH: ${.CURDIR}/softwords
SOFTWORDS=	softcore.fr jhlocal.fr marker.fr freebsd.fr ficllocal.fr \
		ifbrack.fr
# Optional OO extension softwords
#SOFTWORDS+=	oo.fr classes.fr

.if ${MACHINE_CPUARCH} == "amd64"
CFLAGS+=	-m32 -I.
.endif

.if ${MACHINE_ARCH} == "powerpc64"
CFLAGS+=	-m32 -mcpu=powerpc -I.
.endif

CFLAGS+=	-I${.CURDIR} -I${.CURDIR}/${MACHINE_CPUARCH:S/amd64/i386/} \
		-I${.CURDIR}/../common

softcore.c: ${SOFTWORDS} softcore.awk
	(cd ${.CURDIR}/softwords; cat ${SOFTWORDS} \
	    | awk -f softcore.awk -v datestamp="`LC_ALL=C date`") > ${.TARGET}

.if ${MACHINE_CPUARCH} == "amd64"
.if !exists(machine)
${SRCS:M*.c:R:S/$/.o/g}: machine

beforedepend ${OBJS}: machine
.endif

machine:
	ln -sf ${.CURDIR}/../../i386/include machine

CLEANFILES+=	machine
.endif

=== sys/boot/zfs/Makefile ===
# $FreeBSD$

LIB=		zfsboot
INTERNALLIB=

SRCS+=		zfs.c

CFLAGS+=	-DBOOTPROG=\"zfsloader\"
CFLAGS+=	-I${.CURDIR}/../common -I${.CURDIR}/../.. -I.
CFLAGS+=	-I${.CURDIR}/../../../lib/libstand
CFLAGS+=	-I${.CURDIR}/../../cddl/boot/zfs

CFLAGS+=	-ffreestanding
.if ${MACHINE_CPUARCH} == "i386" || ${MACHINE_CPUARCH} == "amd64"
CFLAGS+=	-march=i386
CFLAGS+=	-mpreferred-stack-boundary=2
CFLAGS+=	-mno-mmx -mno-3dnow -mno-sse -mno-sse2 -mno-sse3 -msoft-float
.endif
.if ${MACHINE_CPUARCH} == "powerpc" || ${MACHINE_CPUARCH} == "arm"
CFLAGS+=	-msoft-float
.endif
.if ${MACHINE_CPUARCH} == "amd64"
CFLAGS+=	-m32
.endif

CFLAGS+=	-Wformat -Wall

.if ${MACHINE_CPUARCH} == "amd64"
CLEANFILES+=    machine
machine:
	ln -sf ${.CURDIR}/../../i386/include machine
.endif

.include <bsd.lib.mk>

.if ${MACHINE_CPUARCH} == "amd64"
.if !exists(machine)
beforedepend ${OBJS}: machine
.endif
.endif

=== sys/modules/aesni/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../crypto/aesni

KMOD=	aesni
SRCS=	aesni.c aesni_wrap.c
SRCS+=	aesencdec_${MACHINE_CPUARCH}.S aeskeys_${MACHINE_CPUARCH}.S
SRCS+=	device_if.h bus_if.h opt_bus.h cryptodev_if.h

.include <bsd.kmod.mk>

=== sys/modules/agp/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../dev/agp

KMOD=	agp
SRCS=	agp.c agp_if.c
.if ${MACHINE_CPUARCH} == "i386"
SRCS+=	agp_i810.c agp_intel.c agp_via.c agp_sis.c agp_ali.c agp_amd.c \
	agp_nvidia.c agp_ati.c
.endif
.if ${MACHINE} == "i386"
SRCS+=	agp_amd64.c
.endif
.if ${MACHINE_CPUARCH} == "amd64"
SRCS+=	agp_amd64.c agp_i810.c agp_via.c
.endif
.if ${MACHINE_CPUARCH} == "powerpc"
SRCS+=  agp_apple.c
.endif
SRCS+=	device_if.h bus_if.h agp_if.h pci_if.h
SRCS+=	opt_agp.h opt_bus.h
MFILES=	kern/device_if.m kern/bus_if.m dev/agp/agp_if.m dev/pci/pci_if.m
WERROR=

EXPORT_SYMS=	agp_find_device		\
		agp_state		\
		agp_acquire		\
		agp_release		\
		agp_enable		\
		agp_alloc_memory	\
		agp_free_memory		\
		agp_bind_memory		\
		agp_unbind_memory	\
		agp_memory_info


.if ${MACHINE_CPUARCH} == "i386"  || ${MACHINE_CPUARCH} == "amd64"
EXPORT_SYMS+=	intel_gtt_clear_range	\
		intel_gtt_insert_pages	\
		intel_gtt_get		\
		intel_gtt_chipset_flush	\
		intel_gtt_unmap_memory	\
		intel_gtt_map_memory	\
		intel_gtt_insert_sg_entries \
		intel_gtt_get_bridge_device
.endif

.include <bsd.kmod.mk>

=== sys/modules/ath/Makefile ===
#
# Copyright (c) 2002-2008 Sam Leffler, Errno Consulting
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $FreeBSD$
#

ATH_RATE?=	sample		# tx rate control algorithm

.PATH:	${.CURDIR}/../../dev/ath
.PATH:	${.CURDIR}/../../dev/ath/ath_hal

KMOD=	if_ath
SRCS=	if_ath.c if_ath_debug.c if_ath_keycache.c if_ath_sysctl.c
SRCS+=	if_ath_tx.c if_ath_tx_ht.c
# NB: v3 eeprom support used by both AR5211 and AR5212; just include it
SRCS+=	ah_osdep.c ah.c ah_regdomain.c ah_eeprom_v3.c
SRCS+=	device_if.h bus_if.h pci_if.h opt_inet.h opt_ath.h opt_ah.h opt_wlan.h

#
# AR5210 support; these are first generation 11a-only devices.
#
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar5210
SRCS+=	ah_eeprom_v1.c \
	ar5210_attach.c ar5210_beacon.c ar5210_interrupts.c \
	ar5210_keycache.c ar5210_misc.c ar5210_phy.c ar5210_power.c \
	ar5210_recv.c ar5210_reset.c ar5210_xmit.c

#
# AR5211 support; these are second generation 11b/g/a devices
# (but 11g was OFDM only and is not supported).
#
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar5211
SRCS+=	ar5211_attach.c ar5211_beacon.c ar5211_interrupts.c \
	ar5211_keycache.c ar5211_misc.c	ar5211_phy.c ar5211_power.c \
	ar5211_recv.c ar5211_reset.c ar5211_xmit.c

#
# AR5212 support; this covers all other pci/cardbus legacy parts.
#
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar5212
SRCS+=	ar5212_ani.c ar5212_attach.c ar5212_beacon.c ar5212_eeprom.c \
	ar5212_gpio.c ar5212_interrupts.c ar5212_keycache.c ar5212_misc.c \
	ar5212_phy.c ar5212_power.c ar5212_recv.c ar5212_reset.c \
	ar5212_rfgain.c ar5212_xmit.c
# RF backends
SRCS+=	ar5111.c
SRCS+=	ar5112.c
SRCS+=	ar2413.c
SRCS+=	ar2425.c
SRCS+=	ar5413.c

#
# AR5416, AR9130, AR9160, AR9220, AR9280, AR9285 support.

# Note enabling this support requires defining AH_SUPPORT_AR5416
# in opt_ah.h so the 11n tx/rx descriptor format is handled.
#
# NB: 9160 depends on 5416 but 5416 does not require 9160
#
# + 5416 (Owl)
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar5416
SRCS+=	ah_eeprom_v14.c ah_eeprom_v4k.c \
	ar5416_ani.c ar5416_attach.c ar5416_beacon.c ar5416_cal.c \
	ar5416_cal_iq.c ar5416_cal_adcgain.c ar5416_cal_adcdc.c \
	ar5416_eeprom.c ar5416_gpio.c ar5416_interrupts.c ar5416_keycache.c \
	ar5416_misc.c ar5416_phy.c ar5416_power.c ar5416_recv.c \
	ar5416_reset.c ar5416_xmit.c

# RF backend for 5416, 9130 and 9160
SRCS+=	ar2133.c

# + AR9160 (Sowl)
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar9001
SRCS+=	ar9160_attach.c

# + AR9130 - (Sowl) - Embedded (AR913x SoC)
#
# This requires AH_SUPPORT_AR9130 in order to function as some
# register values have shifted for this chipset. Definig this however
# (currently) breaks non-AR9130 chipsets - since this is an embedded
# chipset and no other radios are glued to it, this shouldn't pose a
# problem.
SRCS+=	ar9130_attach.c ar9130_eeprom.c ar9130_phy.c

# AR9002 series chips
# + AR9220/AR9280 - Merlin
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar9002
SRCS+=	ar9280.c ar9280_attach.c ar9280_olc.c

# + AR9285 - Kite
SRCS+=	ar9285.c ar9285_reset.c ar9285_attach.c ar9285_cal.c ar9285_phy.c
SRCS+=	ar9285_diversity.c

# + AR9287 - Kiwi
.PATH:  ${.CURDIR}/../../dev/ath/ath_hal
SRCS+=  ah_eeprom_9287.c
.PATH:  ${.CURDIR}/../../dev/ath/ath_hal/ar9002
SRCS+=  ar9287.c ar9287_reset.c ar9287_attach.c ar9287_cal.c ar9287_olc.c

# NB: rate control is bound to the driver by symbol names so only pick one
.if ${ATH_RATE} == "sample"
.PATH:	${.CURDIR}/../../dev/ath/ath_rate/sample
SRCS+=	sample.c
.elif ${ATH_RATE} == "onoe"
.PATH:	${.CURDIR}/../../dev/ath/ath_rate/onoe
SRCS+=	onoe.c
.elif ${ATH_RATE} == "amrr"
.PATH:	${.CURDIR}/../../dev/ath/ath_rate/amrr
SRCS+=	amrr.c
.endif

# DFS
.PATH: ${.CURDIR}/../../dev/ath/ath_dfs/null
SRCS+=	dfs_null.c

CFLAGS+=  -I. -I${.CURDIR}/../../dev/ath -I${.CURDIR}/../../dev/ath/ath_hal

opt_ah.h:
	echo '#define AH_SUPPORT_AR5416 1' > $@

.include <bsd.kmod.mk>

CWARNFLAGS.ah_regdomain.c=	${NO_WSHIFT_COUNT_NEGATIVE} ${NO_WSHIFT_COUNT_OVERFLOW}
# XXX Work around clang warnings, until maintainer approves fix.
CWARNFLAGS.ah_eeprom_9287.c=	${NO_WSOMETIMES_UNINITIALIZED}
CWARNFLAGS.if_ath.c=		${NO_WSOMETIMES_UNINITIALIZED}
CWARNFLAGS+=			${CWARNFLAGS.${.IMPSRC:T}}

=== sys/modules/cam/Makefile ===
# $FreeBSD$

S=	${.CURDIR}/../..

.PATH: $S/cam $S/cam/scsi $S/cam/ata $S/${MACHINE}/${MACHINE}

KMOD=	cam

# See sys/conf/options for the flags that go into the different opt_*.h files.
SRCS=	opt_cam.h
SRCS+=	opt_ada.h
SRCS+=	opt_ata.h
SRCS+=	opt_scsi.h
SRCS+=	opt_cd.h
SRCS+=	opt_pt.h
SRCS+=	opt_sa.h
SRCS+=	device_if.h bus_if.h vnode_if.h
SRCS+=	cam.c
SRCS+=	cam_compat.c
.if exists($S/${MACHINE}/${MACHINE}/cam_machdep.c)
SRCS+=	cam_machdep.c
.endif
SRCS+=	cam_periph.c cam_queue.c cam_sim.c cam_xpt.c
SRCS+=	scsi_all.c scsi_cd.c scsi_ch.c
SRCS+=	scsi_da.c
SRCS+=	scsi_pass.c
SRCS+=	scsi_pt.c
SRCS+=	scsi_sa.c
SRCS+=	scsi_enc.c
SRCS+=	scsi_enc_ses.c
SRCS+=	scsi_enc_safte.c
SRCS+=	scsi_sg.c
SRCS+=	scsi_targ_bh.c scsi_target.c
SRCS+=	scsi_xpt.c
SRCS+=	smp_all.c
SRCS+=	ata_all.c
SRCS+=	ata_xpt.c
SRCS+=	ata_da.c
.if exists($S/${MACHINE}/${MACHINE}/ata_machdep.c)
SRCS+=	ata_machdep.c
.endif
SRCS+=	ata_pmp.c

EXPORT_SYMS=	YES	# XXX evaluate

.if !defined(KERNBUILDDIR)
opt_scsi.h:
	echo "#define SCSI_DELAY 15000" > ${.TARGET}
.endif

.include <bsd.kmod.mk>

=== sys/modules/ctl/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../cam/ctl

KMOD=	ctl

SRCS=	ctl.c
SRCS+=	ctl_backend.c
SRCS+=	ctl_backend_block.c
SRCS+=	ctl_backend_ramdisk.c
SRCS+=	ctl_cmd_table.c
SRCS+=	ctl_frontend.c
SRCS+=	ctl_frontend_cam_sim.c
SRCS+=	ctl_frontend_internal.c
SRCS+=	ctl_mem_pool.c
SRCS+=	ctl_scsi_all.c
SRCS+=	ctl_error.c
SRCS+=	ctl_util.c
SRCS+=	scsi_ctl.c
SRCS+=	bus_if.h
SRCS+=	device_if.h
SRCS+=	vnode_if.h
SRCS+=	opt_cam.h
SRCS+=	opt_kdtrace.h

.include <bsd.kmod.mk>

=== sys/modules/cxgb/Makefile ===
# $FreeBSD$
SUBDIR= cxgb
SUBDIR+= cxgb_t3fw
SUBDIR+= ${_tom}
#SUBDIR+= ${_iw_cxgb}

.if ${MACHINE_CPUARCH} == "amd64" || ${MACHINE_CPUARCH} == "i386"
_tom=		tom
_iw_cxgb=	iw_cxgb
.endif

.include <bsd.subdir.mk>

=== sys/modules/cxgbe/Makefile ===
#
# $FreeBSD$
#

SUBDIR = if_cxgbe
SUBDIR+= t4_firmware
SUBDIR+= t5_firmware
SUBDIR+= ${_tom}

.if ${MACHINE_CPUARCH} == "amd64" || ${MACHINE_CPUARCH} == "i386"
_tom=		tom
.endif

.include <bsd.subdir.mk>

=== sys/modules/drm2/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

SUBDIR = \
	drm2 \
	i915kms

.include <bsd.subdir.mk>

=== debian/changelog ===
kfreebsd-9 (9.2-2) unstable; urgency=high

  [ Guillem Jover ]
  * Remove myself from Uploaders.

  [ Robert Millan ]
  * si_status_wait6.diff: Chery-pick r258281 from HEAD to fix
    siginfo_t.si_status for wait6/waitid/SIGCHLD. (Closes: #729698)
  * Fetch source code securely (https) in get-orig-source.

  [ Steven Chamberlain ]
  * Apply upstream EN-14:01 fix, disabling Intel Ivy Bridge and VIA
    hardware RNGs by default. (Closes: #735449, #735450)

 -- Robert Millan <rmh@debian.org>  Tue, 28 Jan 2014 00:32:47 +0100

kfreebsd-9 (9.2-1) unstable; urgency=high

  * New upstream release.

  [ Steven Chamberlain ]
  * Fix missing uname --kernel-release.
  * Also limit transitional packages kfreebsd-headers-\*-686-smp to
    kfreebsd-i386

 -- Robert Millan <rmh@debian.org>  Mon, 30 Sep 2013 15:27:06 +0200

kfreebsd-9 (9.2~svn255465-2) unstable; urgency=high

  [ Steven Chamberlain ]
  * Improve repeatability of builds:
    - Omit gzip timestamp from kernel image.
    - Use timestamp from debian/changelog for uname --kernel-release,
      instead of the exact time of the build.

  [ Robert Millan ]
  * Build kfreebsd-headers-\* only on kfreebsd-@arch@.

 -- Robert Millan <rmh@debian.org>  Fri, 20 Sep 2013 22:37:21 +0200

kfreebsd-9 (9.2~svn255465-1) unstable; urgency=high

  * New upstream release (9.2-RC4).
    - Fix for SA-13:11 / CVE-2013-5666. (Closes: #722336)
    - Fix for SA-13:12 / CVE-2013-5691. (Closes: #722338)
    - Fix for SA-13:13 / CVE-2013-5710. (Closes: #722337)

 -- Robert Millan <rmh@debian.org>  Sat, 14 Sep 2013 11:54:50 +0200

kfreebsd-9 (9.2~svn254368-2) unstable; urgency=high

  * svn_update.diff: Update to rev 254630.
    - Fix for CVE-2013-3077. (Closes: #720468)
    - Fix for CVE-2013-5209. (Closes: #720475)

 -- Robert Millan <rmh@debian.org>  Thu, 22 Aug 2013 22:47:02 +0200

kfreebsd-9 (9.2~svn254368-1) unstable; urgency=medium

  * New upstream release (9.2-RC2).
  * Make kfreebsd-headers-9.2-1 kfreebsd-specific.
  * Remove kfreebsd-image-9.2-1-686-smp and
    kfreebsd-headers-9.2-1-686-smp. These are transitional for packages
    that never existed!

 -- Robert Millan <rmh@debian.org>  Mon, 19 Aug 2013 00:20:59 +0200

kfreebsd-9 (9.2~svn253912-1) unstable; urgency=low

  * New upstream release (9.2-RC1).
    - Refresh all patches.

  [ Robert Millan ]
  * Move GENERIC.hints to arch-specific config.

 -- Robert Millan <rmh@debian.org>  Tue, 06 Aug 2013 23:01:03 +0200

kfreebsd-9 (9.2~svn253698-2) unstable; urgency=low

  * Reupload to unstable.

 -- Robert Millan <rmh@debian.org>  Tue, 06 Aug 2013 18:15:59 +0200

kfreebsd-9 (9.2~svn253698-1) experimental; urgency=low

  * New upstream release (svn253698 == 9.2-BETA2).
    - Includes fix for SA-13:08 / CVE-2013-4851 (in SVN r253693):
      Incorrect privilege validation in the NFS server (Closes: #717958)
    - Refresh all patches.

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.
  * Place transitional packages on Section oldlibs and Priority extra.

  [ Petr Salinger ]  
  * Re-enable 901_disable_optimization_2.diff. Closes: #718250.

 -- Robert Millan <rmh@debian.org>  Wed, 31 Jul 2013 13:52:17 +0200

kfreebsd-9 (9.2~svn253470-1) experimental; urgency=low

  * New upstream release (svn253470 == 9.2-BETA1).
    - Refresh all patches.
    - Cherry-pick cxgbe.diff and 922_cc_version.diff from kfreebsd-10.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 23:25:07 +0200

kfreebsd-9 (9.1-3) unstable; urgency=low

  * Reupload.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 16:50:20 +0200

kfreebsd-9 (9.1-2) experimental; urgency=low

  [ Robert Millan ]
  * Bump B-D on freebsd-buildutils to 10~svn251967-4.

  [ Petr Salinger ]
  * Build by gcc-4.8,
    disable unnecessary 901_disable_optimization_2.diff
  * Add 111_ldd_address.diff. Closes: #696556.
  * Add backport of CPU-timers support. Closes: #716746.
    - 000_cpuclockid2_zombie.diff
    - 000_cpuclockid2_syscall.diff
    - 000_cpuclockid2_compat32.diff

 -- Robert Millan <rmh@debian.org>  Fri, 19 Jul 2013 22:15:14 +0200

kfreebsd-9 (9.1-1) experimental; urgency=low

  * New upstream release.
    - Refresh all patches.
    - rules: Disable binary blobs using WITHOUT_SOURCELESS knob.
    - rules: Disable Clang (for now) using WITHOUT_CLANG_IS_CC knob.
    - rules: Disable CTF using WITHOUT_CTF knob.
    - disable_ctf.diff: Fix non-CTF (WITHOUT_CTF) builds.
    - control.flavour.in: Breaks grub-common << 1.99-27+deb7u2.
    - Bump freebsd-buildutils to >= 10~svn251967-1~.
  * Use xz for deb compression.

 -- Robert Millan <rmh@debian.org>  Wed, 03 Jul 2013 00:46:57 +0200

kfreebsd-9 (9.0-12) unstable; urgency=high

  * Team upload.
  * Pick SVN 251902 from FreeBSD 9-STABLE to fix SA-13:06 / CVE-2013-2171:
    Privilege escalation via mmap (Closes: #712664)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 18 Jun 2013 13:20:50 +0100

=== debian/control ===
Source: kfreebsd-9
Section: kernel
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Robert Millan <rmh@debian.org>
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/kfreebsd-9/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/kfreebsd-9/
Build-Depends: debhelper (>= 5.0.0), bzip2, sharutils, flex-old | flex,
 freebsd-buildutils (>= 10~svn251967-4~),
 gcc-4.8, libdb-dev,
 libbsd-dev (>= 0.3.0), pkg-config,
 libsbuf-dev, libsbuf-dev (>= 8.2-2) | kfreebsd-kernel-headers (<< 0.56),
 kernel-wedge (>= 2.79) [kfreebsd-any],
Standards-Version: 3.9.2

Package: kfreebsd-source-9.2
Architecture: all
Depends: ${misc:Depends}
Recommends: freebsd-buildutils (>= 7)
Provides: kfreebsd-source-9, kfreebsd-source
Description: source code for kernel of FreeBSD 9.2 with Debian patches
 This package provides the source code for kernel of FreeBSD 9.2, base of
 a GNU/kFreeBSD system.

Package: kfreebsd-headers-9.2-1
Architecture: kfreebsd-any
Depends: ${misc:Depends}
Description: Common architecture-specific header files for kernel of FreeBSD 9.2
 This package provides the architecture-specific common kernel header files for
 kernel of FreeBSD 9.2, generally used for building out-of-tree kernel
 modules. To obtain a complete set of headers you also need to install the
 kfreebsd-headers-9.2-1-(flavour) package, matching the flavour of the
 kernel you intend the build for. To obtain such a set for the currently running
 kernel it is sufficient to run a command
 .
 apt-get install kfreebsd-headers-$(uname -r)
 .
 and it will be unpacked in /usr/src/kfreebsd-headers-9.2-1-(flavour)


Package: kfreebsd-image-9-686-smp
Section: oldlibs
Priority: extra
Architecture: any-i386
Depends: ${misc:Depends}, kfreebsd-image-9-686
Description: kernel of FreeBSD 9 (transitional package)
 This is a dependency package to handle upgrades, it can be safely removed.

Package: kfreebsd-headers-9-686-smp
Section: oldlibs
Priority: extra
Architecture: kfreebsd-i386
Depends: ${misc:Depends}, kfreebsd-headers-9.2-1-686
Description: header files for kernel of FreeBSD 9 (transitional package)
 This is a dependency package to handle upgrades, it can be safely removed.

Package: kfreebsd-image-9.2-1-amd64
Architecture: any-amd64
Depends: ${misc:Depends},
 freebsd-utils (>= 8.1-5) [kfreebsd-any], kldutils (>= 7.1) [kfreebsd-any],
 devd [kfreebsd-any] | freebsd-utils (<< 8.2+ds2-9) [kfreebsd-any],
# Policy-conformant keyboard mappings (see #605777)
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
Conflicts: kfreebsd-loader (<< 5.4-1.3)
Breaks:
# Prior versions can't boot kFreeBSD >= 9.1 (see #699002)
 grub-common (<< 1.99-27+deb7u2) [kfreebsd-any],
# AT_* macros break LD_PRELOAD (see #630695)
# Missing support for RFTSIGZMB (see 007_clone_signals.diff)
 libc0.1 (<< 2.13-11) [kfreebsd-any],
# Require ZFS v28 userland
 zfsutils (<< 8.3~) [kfreebsd-any],
Provides: kfreebsd-image-9, kfreebsd-image
Recommends: 
Description: kernel of FreeBSD 9.2 image
 This package provides the binary image and pre-built loadable modules for
 the kernel of FreeBSD 9.2, base of a GNU/kFreeBSD system.
 .
 This package is compiled for a amd64-class machine.

Package: kfreebsd-image-9-amd64
Architecture: any-amd64
Depends: kfreebsd-image-9.2-1-amd64, ${misc:Depends}
Description: kernel of FreeBSD 9 image (meta-package)
 This package depends on the latest binary image for kernel of FreeBSD 9 on
 amd64-class machines.

Package: kfreebsd-headers-9.2-1-amd64
Architecture: kfreebsd-amd64
Provides: kfreebsd-headers-9, kfreebsd-headers
Depends: kfreebsd-headers-9.2-1 (= ${binary:Version}), ${misc:Depends}
Description: header files for kernel of FreeBSD 9.2
 This package provides the header files for kernel of FreeBSD 9.2, generally
 used for building out-of-tree kernel modules. These files are going to be
 installed into /usr/src/kfreebsd-headers-9.2-1-amd64, and can be
 used for building modules that load into the kernel provided by the
 kfreebsd-image-9.2-1-amd64 package.

Package: kfreebsd-headers-9-amd64
Architecture: kfreebsd-amd64
Depends: kfreebsd-headers-9.2-1-amd64, ${misc:Depends}
Description: header files for kernel of FreeBSD 9 (meta-package)
 This package depends on the latest header files for kernel of FreeBSD 9 on
 amd64-class machines.


Package: kernel-image-9.2-1-amd64-di
Package-Type: udeb
Provides: kernel-image, ata-modules, cdrom-core-modules, core-modules, crc-modules, ext2-modules, ide-core-modules, ide-modules, input-modules, mmc-core-modules, mouse-modules, nic-pcmcia-modules, nic-usb-modules, nls-core-modules, pata-modules, pcmcia-modules, pcmcia-storage-modules, rtc-modules, scsi-common-modules, serial-modules, ufs-modules, uinput-modules, usb-modules, usb-serial-modules, usb-storage-modules
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: extra
Description: FreeBSD kernel binary image for the Debian installer
 This package contains the FreeBSD kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-9.2-1-amd64-di, nic-shared-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.

Package: nic-wireless-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: nic-wireless-modules
Depends: kernel-image-9.2-1-amd64-di, nic-shared-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.
 Includes crypto modules only needed for wireless (WEP).

Package: nic-shared-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.

Package: serial-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: optional
Description: Serial drivers
 This package contains serial drivers for the kernel.

Package: ppp-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-9.2-1-amd64-di, serial-modules-9.2-1-amd64-di, zlib-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: optional
Description: PPP drivers
 This package contains PPP drivers for the kernel.

Package: cdrom-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: cdrom-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: optional
Description: Esoteric CDROM drivers
 This package contains esoteric CDROM drivers for the kernel.

Package: scsi-core-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: scsi-core-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.

Package: scsi-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-9.2-1-amd64-di, scsi-core-modules-9.2-1-amd64-di, parport-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.

Package: scsi-extra-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: scsi-extra-modules
Depends: scsi-modules-9.2-1-amd64-di, scsi-core-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.
 This includes SCSI RAID drivers, and some of the less common SCSI
 controllers.

Package: plip-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-9.2-1-amd64-di, parport-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: optional
Description: PLIP drivers
 This package contains PLIP drivers for the kernel.

Package: floppy-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: floppy-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: Floppy driver
 This package contains the floppy driver for the kernel.

Package: loop-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: loop-modules
Depends: kernel-image-9.2-1-amd64-di, zlib-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.

Package: ipv6-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: ipv6-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: extra
Description: IPv6 driver
 This package contains the IPv6 driver for the kernel.

Package: nls-core-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: nls-core-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: extra
Description: Core NLS support
 This package contains basic NLS support modules for the kernel.

Package: ext2-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: ext2-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: EXT2 filesystem support
 This package contains the EXT2 filesystem module for the kernel.

Package: isofs-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: isofs-modules
Depends: kernel-image-9.2-1-amd64-di, nls-core-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

Package: ntfs-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: ntfs-modules
Depends: kernel-image-9.2-1-amd64-di, nls-core-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: extra
Description: NTFS filesystem support
 This package contains the NTFS file system module for the kernel.

Package: reiserfs-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: reiserfs-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: extra
Description: Reiser filesystem support
 This package contains the Reiser filesystem module for the kernel.

Package: xfs-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: xfs-modules
Depends: kernel-image-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: standard
Description: XFS filesystem support
 This package contains the XFS filesystem module for the kernel.

Package: fat-modules-9.2-1-amd64-di
Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-9.2-1-amd64-di, nls-core-modules-9.2-1-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 9.2-1-amd64
Section: debian-installer
Priority: extra
Description: FAT filesystem support

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g' -e 's/^$(full_version)$$/HEAD/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major           := $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
cpu		:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
config_files	:= $(wildcard debian/arch/$(cpu)/*.config)
flavours	:= $(config_files:debian/arch/$(cpu)/%.config=%)
configfile	:= DEBCUSTOM
abiname		:= 1
ld_target	:= $(shell ld --help | sed -ne "s/[^ :]*: supported targets: \([^ ]*\) .*/\1/p")
gcc_version	:= 4.8

ifeq ($(cpu), mipsel)
kfreebsd_cpu	:= mips
else
kfreebsd_cpu	:= $(cpu)
endif

SVN		:= https://svn0.us-west.freebsd.org/base/release/$(version).0
#SVN		:= https://svn0.us-west.freebsd.org/base/releng/$(version)
#SVN		:= https://svn0.us-west.freebsd.org/base/stable/$(major)
#SVN		:= https://svn0.us-west.freebsd.org/base/head
SOURCE_PACKAGE	:= $(CURDIR)/debian/kfreebsd-source-$(version)
IMAGE_PACKAGE	:= $(CURDIR)/debian/kfreebsd-image-$(version)-$(abiname)
HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-headers-$(version)-$(abiname)
SRC_TAR		:= kfreebsd-source-$(version).tar.xz
SRC_DIR		:= kfreebsd-source-$(version)
HEADERS_DIR	:= kfreebsd-headers-$(version)-$(abiname)
FLAVOR_DIR	:= flavor-$(version)-$(abiname)
ORIG_DIR	:= kfreebsd-$(major)-$(tar_version)
ORIG_TAR	:= kfreebsd-$(major)_$(tar_version).orig.tar.xz
MAKE		:= make MACHINE_ARCH=$(kfreebsd_cpu) CC=gcc-$(gcc_version) WERROR=
PATH		:= $(CURDIR)/config:/usr/lib/freebsd:$(PATH)

MAKE += -DWITHOUT_SOURCELESS

MAKE += -DWITHOUT_CLANG_IS_CC

MAKE += -DWITHOUT_CTF

# Disable install of *.ko.symbols files (their presence would trigger an
# "unstripped-binary-or-object" lintian error).
MAKE += -DWITHOUT_KERNEL_SYMBOLS	

get-orig-source:
	rm -rf $(ORIG_DIR)
	for i in sys usr.sbin/config ; do \
		svn export -r $(svn_revision) $(SVN)/$$i $(ORIG_DIR)/$$i ; \
	done
	cd $(ORIG_DIR) && $(CURDIR)/debian/prune.sh
	tar --numeric-owner --owner 0 --group 0 -cJf ../$(ORIG_TAR) $(ORIG_DIR)
	rm -rf $(ORIG_DIR)

control: clean
	for arch in `ls $(CURDIR)/debian/arch/` ; do \
		KW_CONFIG_DIR=debian/arch/$$arch/installer ; \
		if test -e $$KW_CONFIG_DIR ; then \
			for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
				flavor=$${config/.config/} ; \
				if test -e debian/arch/$$arch/$$flavor.installer ; then \
					echo "kfreebsd-$$arch $(version)-$(abiname) $$flavor $(version)-$(abiname)-$$flavor - -" ; \
				fi ; \
			done > $$KW_CONFIG_DIR/kernel-versions ; \
		fi ; \
		echo ; \
	done
	sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@gcc_version@/$(gcc_version)/g" \
		$(CURDIR)/debian/control.in > $(CURDIR)/debian/control
	echo >> $(CURDIR)/debian/control
	for arch in `ls $(CURDIR)/debian/arch/` ; do \
		for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
			flavor=$${config/.config/} ; \
			recommends= ; \
			test -f $(CURDIR)/debian/arch/$$arch/$$flavor.defines && recommends=`awk '/^Recommends: / {print $$2}' $(CURDIR)/debian/arch/$$arch/$$flavor.defines` ; \
			sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@arch@/$$arch/g" -e "s/@recommends@/$$recommends/g" \
				$(CURDIR)/debian/control.flavor.in ; \
			echo ; \
		done ; \
		export KW_CONFIG_DIR=debian/arch/$$arch/installer ; \
		if test -e $$KW_CONFIG_DIR/kernel-versions ; then \
			kernel-wedge gen-control ; \
		fi ; \
		echo ; \
	done >> $(CURDIR)/debian/control

clean:
	dh_testdir
	dh_testroot
	rm -rf src kfreebsd-source-* flavor-* config
	rm -f debian/kfreebsd-image-*.preinst
	rm -f debian/kfreebsd-image-*.prerm
	rm -f debian/kfreebsd-image-*.postinst
	rm -f debian/kfreebsd-image-*.postrm

	rm -f *-stamp
	dh_clean

src: src-stamp
src-stamp:
	mkdir $(CURDIR)/src
	cp -af $(CURDIR)/sys $(CURDIR)/usr.sbin $(CURDIR)/src

	set -e ; find src/sys -type f | (while read i ; do \
		sed -i $$i \
		-e 's/defined\s*(\s*__FreeBSD__\s*)/1/g' \
		-e 's/#\s*ifdef\s*__FreeBSD__\(\s\|$$\)/#if 1/g' \
		-e 's/#\s*ifndef\s*__FreeBSD__\(\s\|$$\)/#if 0/g' \
		-e 's/__FreeBSD__/$(major)/g' \
		\
		-e 's/defined\s*(\s*\(__linux__\|linux\)\s*)/0/g' \
		-e 's/#\s*ifdef\s*\(__linux__\|linux\)\(\s\|$$\)/#if 0/g' \
		-e 's/#\s*ifndef\s*\(__linux__\|linux\)\(\s\|$$\)/#if 1/g' \
	; done)

	touch src-stamp

build-indep: build-indep-stamp
build-indep-stamp: src
	dh_testdir

	cp -af src $(SRC_DIR)

	touch build-indep-stamp

build: build-arch build-indep

install-indep: install-indep-stamp
install-indep-stamp: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	mkdir -p $(SOURCE_PACKAGE)/usr/src
	chown -R root.src $(SRC_DIR)
	tar cfJ $(SOURCE_PACKAGE)/usr/src/$(SRC_TAR) $(SRC_DIR)

	touch install-indep-stamp

config: config-stamp
config-stamp: src
	rm -rf config
	cp -af src/usr.sbin/config config
	CFLAGS="-D__va_list=__builtin_va_list $(shell pkg-config --cflags libbsd-overlay) -lbsd" $(MAKE) -C config
	touch $@

build-arch: $(foreach flavor,$(flavours),build-flavor-$(flavor)-stamp)
src-flavor-%-stamp: src config
	cp -af src $(FLAVOR_DIR)-$*
	touch $@
build-flavor-%-stamp: src-flavor-%-stamp
	# Add the abiname and the flavor to the kernel version
	sed -i -e 's/^RELEASE=".*"/RELEASE="$(version)-$(abiname)-$*"/g' $(FLAVOR_DIR)-$*/sys/conf/newvers.sh

	# Change ident to the kernel version
	sed -i -e 's/^i=.*/i="Debian $* ($(full_version))"/g' $(FLAVOR_DIR)-$*/sys/conf/newvers.sh

	# Set /lib/modules/${RELEASE} as module dir
	sed -i -e 's,^KODIR?=.*,KODIR="/lib/modules/$(version)-$(abiname)-$*",g' $(FLAVOR_DIR)-$*/sys/conf/kern.pre.mk
	sed -i -e '/^static char linker_path/s,".*","/lib/modules/$(version)-$(abiname)-$*",g' $(FLAVOR_DIR)-$*/sys/kern/kern_linker.c

	# Always set explicit link target to match with ld's implicit target (needed
	# to build on non-kFreeBSD)
	sed -i \
		-e 's/elf32-i386-freebsd/$(ld_target)/g' \
		-e 's/elf64-x86-64-freebsd/$(ld_target)/g' \
		-e 's/elf32-tradlittlemips-freebsd/$(ld_target)/g' \
		-e 's/elf32-tradbigmips-freebsd/$(ld_target)/g' \
	$(FLAVOR_DIR)-$*/sys/conf/ldscript.$(kfreebsd_cpu)

	# Configure the kernel
	cp debian/arch/$(cpu)/$*.config $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf/
	ln -sf $*.config $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf/$(configfile)
	cd $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf \
		&& config $(configfile)

	# Build it
	$(MAKE) -C $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/compile/$(configfile)/ depend
	$(MAKE) -C $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/compile/$(configfile)/

	touch build-flavor-$*-stamp

install-common-stamp: src
	dh_testdir
	dh_testroot
	mkdir -p $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)
	cd src \
		&& find . -type f -name "*.h" -not -regex ".*modules.*" -not -regex ".*sys/$(kfreebsd_cpu)/.*" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) \;

	mkdir -p $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)/conf
	cd src && cp --parents \
		sys/conf/kern.mk \
		sys/conf/kmod.mk \
		sys/conf/kmod_syms.awk \
		sys/kern/bus_if.m \
		sys/dev/pci/pci_if.m \
		sys/kern/device_if.m \
		sys/kern/vnode_if.src \
		sys/tools/vnode_if.awk \
		sys/tools/makeobjops.awk \
		$(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)

	find $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) -type f -exec chmod 644 {} \;
	find $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) -type f -name "*.awk" -exec chmod 755 {} \;

	touch install-common-stamp
